| Home | Libraries | People | FAQ | More

## Function template equal

boost::compute::equal

## Synopsis

    // In header: <boost/compute/algorithm/equal.hpp>

    template<typename InputIterator1, typename InputIterator2>
      bool equal(InputIterator1 first1, InputIterator1 last1,
                 InputIterator2 first2,
                 command_queue & queue = system::default_queue());

## Description

Returns `true` if the range [`first1`, `last1`) and the range beginning at `first2` are equal.

Space complexity: \Omega(1)